Name:		gnome-mines
Version:        48.0
Release:	%mkrel 1
Summary:	GNOME Mines Sweeper game
License:	GPLv2+ and CC-BY-SA
Group:		Games/Puzzles
URL:		https://wiki.gnome.org/Apps/Mines
Source0:	https://download.gnome.org/sources/%{name}/%{url_ver}/%{name}-%{version}.tar.xz
BuildRequires:	pkgconfig(gtk4)
BuildRequires:	pkgconfig(gee-0.8)
BuildRequires:	pkgconfig(librsvg-2.0)
BuildRequires:	pkgconfig(libadwaita-1)
BuildRequires:	pkgconfig(libgnome-games-support-2)
BuildRequires:	gettext
BuildRequires:	itstool
BuildRequires:	meson
BuildRequires:	libxml2-utils
BuildRequires:	pkgconfig(vapigen) >= 0.16.0
Obsoletes:	gnomine
# For help
Requires:	yelp

%description
The popular logic puzzle minesweeper. Find mines on a grid
using hints from squares you have already cleared.

%prep
%setup -q

%build
%meson
%meson_build

%install
%meson_install

%find_lang %{name} --with-gnome

%check
%meson_test

%files -f %{name}.lang
%license COPYING
%{_bindir}/%{name}
%{_datadir}/applications/org.gnome.Mines.desktop
%{_datadir}/glib-2.0/schemas/org.gnome.Mines.gschema.xml
%{_datadir}/%{name}
%{_iconsdir}/*/*/*/*
%{_metainfodir}/org.gnome.Mines.appdata.xml
%{_mandir}/man6/%{name}.6*


%changelog
* Mon Mar 31 2025 daviddavid <daviddavid> 48.0-1.mga10
+ Revision: 2172211
- new version 48.0

* Sat Mar 19 2022 ovitters <ovitters> 40.1-1.mga9
+ Revision: 1801656
- new version 40.1

* Wed Mar 24 2021 ovitters <ovitters> 40.0-1.mga9
+ Revision: 1709546
- new version 40.0

* Tue Aug 04 2020 ovitters <ovitters> 3.36.1-1.mga8
+ Revision: 1610921
- new version 3.36.1

* Sat Mar 07 2020 ovitters <ovitters> 3.36.0-1.mga8
+ Revision: 1554715
- new version 3.36.0

* Mon Mar 02 2020 tv <tv> 3.35.90-1.mga8
+ Revision: 1552952
- 3.35.90

* Sun Feb 16 2020 umeabot <umeabot> 3.34.0-2.mga8
+ Revision: 1531072
- Mageia 8 Mass Rebuild

* Mon Sep 09 2019 ovitters <ovitters> 3.34.0-1.mga8
+ Revision: 1438973
- new version 3.34.0

* Mon Sep 02 2019 ovitters <ovitters> 3.33.92-1.mga8
+ Revision: 1436415
- new version 3.33.92

* Mon Aug 19 2019 ovitters <ovitters> 3.33.91-1.mga8
+ Revision: 1430300
- new version 3.33.91

* Fri Aug 09 2019 tv <tv> 3.33.3-1.mga8
+ Revision: 1428287
- new release

* Wed May 08 2019 daviddavid <daviddavid> 3.32.2-1.mga7
+ Revision: 1396655
- new version 3.32.2

* Wed Apr 17 2019 umeabot <umeabot> 3.32.0-2.mga7
+ Revision: 1392433
- Rebuild with meson 0.50.1

* Mon Mar 11 2019 ovitters <ovitters> 3.32.0-1.mga7
+ Revision: 1374226
- new version 3.32.0

* Thu Mar 07 2019 ovitters <ovitters> 3.31.92-1.mga7
+ Revision: 1372343
- new version 3.31.92

* Wed Sep 26 2018 ovitters <ovitters> 3.30.1.1-1.mga7
+ Revision: 1306532
- new version 3.30.1.1

* Mon Sep 24 2018 ovitters <ovitters> 3.30.1-1.mga7
+ Revision: 1303559
- new version 3.30.1

* Mon Sep 03 2018 ovitters <ovitters> 3.30.0-1.mga7
+ Revision: 1256888
- new version 3.30.0

* Mon Jun 18 2018 ovitters <ovitters> 3.29.3-1.mga7
+ Revision: 1237906
- new version 3.29.3

* Wed Mar 21 2018 tv <tv> 3.28.0-1.mga7
+ Revision: 1210862
- fix filelist
+ ovitters <ovitters>
- new version 3.28.0
- new version 3.27.92.1
- new version 3.27.92

* Thu Feb 22 2018 ovitters <ovitters> 3.27.90-2.mga7
+ Revision: 1204065
- rebuild for libgnome-games-support

* Tue Feb 06 2018 ovitters <ovitters> 3.27.90-1.mga7
+ Revision: 1199347
- new version 3.27.90

* Mon Sep 11 2017 ovitters <ovitters> 3.26.0-1.mga7
+ Revision: 1153035
- new version 3.26.0

* Tue Sep 05 2017 ovitters <ovitters> 3.25.92-1.mga7
+ Revision: 1151288
- new version 3.25.92

* Mon Aug 21 2017 ovitters <ovitters> 3.25.91-1.mga7
+ Revision: 1142734
- new version 3.25.91

* Tue Mar 21 2017 ovitters <ovitters> 3.24.0-1.mga6
+ Revision: 1094008
- new version 3.24.0

* Mon Nov 07 2016 ovitters <ovitters> 3.22.2-1.mga6
+ Revision: 1065743
- new version 3.22.2

* Mon Oct 10 2016 ovitters <ovitters> 3.22.1-1.mga6
+ Revision: 1060079
- new version 3.22.1

* Sat Sep 24 2016 ovitters <ovitters> 3.22.0-1.mga6
+ Revision: 1055703
- new version 3.22.0
- new version 3.20.1

* Tue Mar 22 2016 ovitters <ovitters> 3.20.0-1.mga6
+ Revision: 993923
- new version 3.20.0

* Mon Mar 14 2016 ovitters <ovitters> 3.19.91-1.mga6
+ Revision: 990671
- new version 3.19.91

* Tue Feb 16 2016 ovitters <ovitters> 3.19.90-1.mga6
+ Revision: 961917
- new version 3.19.90
- new version 3.19.4

* Mon Dec 14 2015 ovitters <ovitters> 3.19.3-1.mga6
+ Revision: 910397
- new version 3.19.3

* Mon Nov 23 2015 ovitters <ovitters> 3.19.2-1.mga6
+ Revision: 905311
- new version 3.19.2

* Mon Nov 23 2015 ovitters <ovitters> 3.19.1-1.mga6
+ Revision: 905162
- new version 3.19.1

* Mon Nov 09 2015 ovitters <ovitters> 3.18.2-1.mga6
+ Revision: 900115
- new version 3.18.2

* Mon Oct 12 2015 ovitters <ovitters> 3.18.1-1.mga6
+ Revision: 890079
- new version 3.18.1

* Thu Sep 24 2015 tv <tv> 3.18.0-1.mga6
+ Revision: 883186
- new release

* Mon Sep 14 2015 ovitters <ovitters> 3.17.92-1.mga6
+ Revision: 879421
- new version 3.17.92

* Mon Aug 31 2015 ovitters <ovitters> 3.17.91-1.mga6
+ Revision: 871636
- new version 3.17.91

* Tue Aug 18 2015 ovitters <ovitters> 3.17.90-2.mga6
+ Revision: 865709
- bump rel because of bs
- new version 3.17.90

* Mon Jul 20 2015 ovitters <ovitters> 3.17.4-1.mga6
+ Revision: 855792
- new version 3.17.4

* Mon Jun 22 2015 ovitters <ovitters> 3.17.3-1.mga6
+ Revision: 839822
- new version 3.17.3

* Sun Jun 21 2015 ovitters <ovitters> 3.17.2-1.mga6
+ Revision: 838521
- new version 3.17.2

* Sat Jun 20 2015 ovitters <ovitters> 3.14.2-1.mga6
+ Revision: 836550
- new version 3.14.2

* Tue Feb 17 2015 wally <wally> 3.14.0-3.mga5
+ Revision: 815340
- require yelp for showing help

* Wed Oct 15 2014 umeabot <umeabot> 3.14.0-2.mga5
+ Revision: 743505
- Second Mageia 5 Mass Rebuild

* Mon Sep 29 2014 wally <wally> 3.14.0-1.mga5
+ Revision: 731712
- new version 3.14.0

* Tue Sep 16 2014 umeabot <umeabot> 3.13.92-2.mga5
+ Revision: 679737
- Mageia 5 Mass Rebuild

* Tue Sep 16 2014 fwang <fwang> 3.13.92-1.mga5
+ Revision: 677103
- update file list
+ ovitters <ovitters>
- new version 3.13.92

* Mon Sep 01 2014 ovitters <ovitters> 3.13.91-1.mga5
+ Revision: 670708
- new version 3.13.91

* Sat Aug 23 2014 ovitters <ovitters> 3.13.90-1.mga5
+ Revision: 666642
- new version 3.13.90

* Tue Jul 22 2014 ovitters <ovitters> 3.13.4-1.mga5
+ Revision: 655398
- new version 3.13.4

* Mon Jun 23 2014 ovitters <ovitters> 3.13.2-2.mga5
+ Revision: 638833
- update url

* Wed May 28 2014 ovitters <ovitters> 3.13.2-1.mga5
+ Revision: 627106
- new version 3.13.2

* Tue May 13 2014 ovitters <ovitters> 3.12.2-1.mga5
+ Revision: 622412
- new version 3.12.2

* Mon Apr 14 2014 ovitters <ovitters> 3.12.1-1.mga5
+ Revision: 614156
- new version 3.12.1

* Mon Mar 24 2014 ovitters <ovitters> 3.12.0-1.mga5
+ Revision: 608069
- new version 3.12.0

* Mon Mar 17 2014 ovitters <ovitters> 3.11.92-1.mga5
+ Revision: 604567
- new version 3.11.92

* Tue Feb 18 2014 ovitters <ovitters> 3.11.90-1.mga5
+ Revision: 594252
- new version 3.11.90

* Wed Feb 05 2014 dams <dams> 3.11.3-1.mga5
+ Revision: 583009
- new version 3.11.3

* Tue Oct 22 2013 umeabot <umeabot> 3.10.1-2.mga4
+ Revision: 541379
- Mageia 4 Mass Rebuild

* Sat Oct 12 2013 ovitters <ovitters> 3.10.1-1.mga4
+ Revision: 495801
- new version 3.10.1

* Mon Sep 23 2013 ovitters <ovitters> 3.10.0-1.mga4
+ Revision: 484536
- new version 3.10.0

* Tue Sep 17 2013 ovitters <ovitters> 3.9.92-1.mga4
+ Revision: 480540
- new version 3.9.92

* Wed Aug 21 2013 fwang <fwang> 3.9.90-1.mga4
+ Revision: 468993
- new version 3.9.90

* Tue Aug 20 2013 ovitters <ovitters> 3.8.2-1.mga4
+ Revision: 468320
- new version 3.8.2

* Sun Jun 09 2013 fwang <fwang> 3.8.1-2.mga4
+ Revision: 441013
- cleanup spec

* Sun Jun 09 2013 dams <dams> 3.8.1-1.mga4
+ Revision: 440846
- imported package gnome-mines

